Subject: Re: Original X-ray
From: Hans Mast <[email-masked]>
To: [email-masked]
Date: Tue, 24 Jan 2012 22:40:16 +0000 (UTC)

Thanks for the update.

Hans

----- Original Message -----
From: [email-masked]
To: [email-masked]
Sent: Tue, 24 Jan 2012 21:38:41 -0000 (UTC)
Subject: Original X-ray

Hi Hans,

Just picked this up today from Centegra when I was getting the reports.
It's the original x-ray from 6-28-11. It looks much deeper than I thought.

I have 2 dr's visits on Monday and Tuesday next week. will let you know how they go.

Thank you very much for helping me with all this,
Paul

Paul Dulberg
847-497-4250